Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0003358
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] C. Securityminoralways2007-07-03 10:342017-04-10 14:38
Reporteruser71View Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
Projectionmajor reworkETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0003358: BPM engine (workflow)

Description==== Workflow rational =========

It seems that adding workflow capabilities to any ERP is a MUST in todays enterprise applications.

A workflow allows to include tracking and cooperating features to any task that an ERP has to fulfill. Workflow is a well known technology/design artifact that allows the following:

1) Legal (SOX, LISI, ...)
2) Enterprise (who is doing what?, what needs to be done, how many thing are still left, who did that?, ...)
3) Cooperation (how to partition tasks that are to be done by a team of distributed people?)
4) Allow to implement and support Business Process Re-engineering
5) A workflow is understood by both business and technical people and, therefore, is a good comunication mechanism
6) Implementation: Allows a very precise and fast configuration of an ERP to cope with the operational needs of any company. Just identify/design and configure the business processes of the company.

====== Workflow types =========

There are different workflow types:

1) Document centered: set of activities that need to be done around a document to reach an objective (e.g. invoice approval processing). It involves a SINGLE document.

2) Task centered: set of activities needed to achieve a goal. E.g. a purchase. It involves a purchase order, approved and issued, an invoice, approved, registered, accounted and paid. It involves a set of documents.

In both cases, the workflow has states, transitions, roles/permissions, history... The difference is that the base element is either a document or a "task" definition. What we need in OB is a "Task centered" approach.

Some other people also points to task to be performed by people or by the system (i.e. batch processing). I think this is not so relevant and just means that there are different actors involved in a task. Some humans (e.g. approve an invoice) some machine (e.g. send a notification).

It would be better to have a generalised workflow where the actors could be both human and machine (as is normally the case).









TagsReleaseCandidate
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0004376pi acknowledgedrmorley Approval System in Openbravo 
depends on feature request 0003203 acknowledgedrmorley Improve Workflows 
has duplicate feature request 0003316 closedalostale Workflow visualization and edition 
related to feature request 0000586pi acknowledgediciordia State transitions for documents and buttons 
related to feature request 0004524 acknowledgedrmorley Expenses approval system 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0006947)
user71
2005-06-01 00:00
edited on: 2008-06-12 09:44

This bug was originally reported in SourceForge bug tracker and then migrated to Mantis.

You can see the original bug report in:
https://sourceforge.net/support/tracker.php?aid=1746970 [^]
(0008274)
pjuvara (reporter)
2008-07-11 09:05

Please make sure that the BPM engine supports approvals.

- Issue History
Date Modified Username Field Change
2008-07-01 19:46 pjuvara Tag Attached: ReleaseCandidate
2008-07-01 19:46 pjuvara Status new => scheduled
2008-07-01 19:46 pjuvara Projection none => major rework
2008-07-01 19:46 pjuvara Target Version => 2.60
2008-07-01 19:46 pjuvara Summary Workflows in OB 2.X (How to) => BPM engine (workflow)
2008-07-01 19:46 pjuvara Description Updated
2008-07-01 20:02 pjuvara Relationship added has duplicate 0003316
2008-07-11 09:02 pjuvara Relationship added depends on 0004376
2008-07-11 09:05 pjuvara Note Added: 0008274
2008-07-11 09:07 pjuvara Relationship added related to 0000586
2008-11-16 08:22 pjuvara Relationship added depends on 0003203
2008-11-16 18:12 pjuvara Relationship added related to 0004524
2008-11-21 16:45 pjuvara Status scheduled => acknowledged
2008-11-21 17:05 pjuvara Target Version 2.60 => trunk
2011-09-08 13:23 eintelau Issue Monitored: eintelau
2017-04-10 14:38 alostale Assigned To alostale => platform


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker